Bug 1161360 - oath-toolkit: potential NULL pointer dereference in OATH PAM module
Summary: oath-toolkit: potential NULL pointer dereference in OATH PAM module
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140319,repor...
Depends On: 1161363 1161364 1161365
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-07 02:10 UTC by Murray McAllister
Modified: 2019-06-08 20:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:35:42 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-11-07 02:10:05 UTC
It was reported that the OATH PAM module did not check if a strdup() allocation succeeded:

http://seclists.org/oss-sec/2014/q4/543

If they failed, it could cause the application to crash (NULL pointer dereference).

CVE request:

http://seclists.org/oss-sec/2014/q4/543

In low memory situations where strdup() may fail, it may already be an unrecoverable situation for the application.

References:
http://seclists.org/oss-sec/2014/q4/543
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=742140

Comment 1 Murray McAllister 2014-11-07 02:15:38 UTC
Created oath-toolkit tracking bugs for this issue:

Affects: fedora-all [bug 1161363]
Affects: epel-6 [bug 1161364]
Affects: epel-7 [bug 1161365]

Comment 2 Fedora Update System 2014-11-14 12:06:45 UTC
oath-toolkit-2.4.1-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-11-18 12:19:16 UTC
oath-toolkit-2.4.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-11-30 19:13:28 UTC
oath-toolkit-2.0.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-11-30 19:21:47 UTC
oath-toolkit-2.4.1-8.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Product Security DevOps Team 2019-06-08 02:35:42 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.